---
url: /api/email-templates.md
description: >-
  Learn how to use Add to Calendar PRO's Email Template API. Customize the whole
  RSVP user journey for higher success rates.
---

# Email Template API

The email template endpoint is rather limited and only allows to retrieve the available templates, so you can dynamically use them with other calls.

## Get all email templates

```
GET /email-template/all
```

Gets a list with the ids, names, and types of all available email templates.

## Get all email templates of a specific type

```
GET /email-template/:type
```

Gets a list with the ids and names of all available email templates of a specific type.

**Available types:**

* rsvp\_doi
* rsvp\_thank\_you
* rsvp\_signup\_confirmation
* rsvp\_change\_confirmation
* rsvp\_event\_update
* rsvp\_magic\_link
* rsvp\_second\_signup

## Get the latest email template

```
GET /email-template/latest
```

Gets the latest email template.
